# Shares 1.9.14 Patch Level 2 for Windows
**Operating Systems:** Windows
**Date: 4/24/2020** 

This patch includes the following fixes:

### Patch Level 2 Fixes
| Jira Issue | Description                                                                                                    |
| ---------- |:-------------------------------------------------------------------------------------------------------------- |
| AS-420     | User input forms require increased security.                                          |
| AS-419     | When browsing files, clicking **load more** truncates the current list of files instead of showing more files. |
### Patch Level 1 Fixes
| Jira Issue | Description                                                     |
| ---------- | --------------------------------------------------------------- |
| AS-411     | The footer does not show the current patch level.               |
| AS-409     | Shares health check does not work.                              | 
| AS-402     | Shares constantly attempts to restart StatsCollector service.   |
| AS-397     | Users with only Upload permissions cannot upload files.         |
| AS-395     | Bookmarks created from the bookmark drop-down menu do not work. |


## PATCH INSTRUCTIONS

### Applying the patch for Linux systems:
1. Download the patch file (`IBM_Aspera_Shares_1.9.14_Linux_Patch_Level_2.zip`) and unzip it.

3. Make sure to back-up all the files in the shares folder (``C:\Shares``).

4. Run the following command to replace existing files with patch files:

    a. Go to **Control Panel > Administrative Tools > Services**.
    
    b. Right-click on any services with 'IBM Aspera Shares' in the name and select **Stop** from the menu.
    
5. Replace existing files by copying patch files to appropriate directories in `C:\Shares\www`.

7. Restart the Shares services that were stopped in Step 4 to enable the feature:

    a. Go to **Control Panel > Administrative Tools > Services**.
    
    b. Right-click on any services with 'IBM Aspera Shares' in the name and select **Start** from the menu.
 
© IBM Aspera. Copyright IBM Corp. 2009, 2020